Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Member Functions | List of all members
RtpStreamDialog Class Reference
Inheritance diagram for RtpStreamDialog:

## Signals
void | packetsMarked ()
void | updateFilter (QString filter, bool force=false)
void | goToPacket (int packet_num)

## Public Member Functions
| RtpStreamDialog (QWidget &parent, CaptureFile &cf)
Public Member Functions inherited from WiresharkDialog
| WiresharkDialog (QWidget &parent, CaptureFile &capture_file)
void | beginRetapPackets ()
| Mark the start of a code block that retaps packets. If the user closes the dialog while tapping, the dialog will not be destroyed until endRetapPackets is called. More...
virtual void | endRetapPackets ()
| Mark the end of a code block that retaps packets. If the user has closed the dialog it will be desroyed at this point. More...
Public Member Functions inherited from GeometryStateDialog
| GeometryStateDialog (QWidget *, Qt::WindowFlags f=0)

## Protected Member Functions
bool | eventFilter (QObject *obj, QEvent *event)
Protected Member Functions inherited from WiresharkDialog
virtual void | keyPressEvent (QKeyEvent *event)
virtual void | accept ()
virtual void | reject ()
void | setWindowSubtitle (const QString &subtitle)
| Set the window subtitle, e.g. "Foo Timeouts". The subtitle and file name will be added to the dialog window title. More...
const QString & | windowSubtitle ()
bool | registerTapListener (const char *tap_name, void *tap_data, const char *filter, guint flags, void(*tap_reset)(void *tapdata), gboolean(*tap_packet)(void *tapdata, struct _packet_info *pinfo, struct epan_dissect *edt, const void *data), void(*tap_draw)(void *tap_data))
| Convenience wrapper for register_tap_listener. Tap listeners registered via this function are automatically removed during destruction. They can also be explicitly removed using remove_tap_listener or removeTapListeners. More...
virtual void | removeTapListeners ()
| Remove all tap listeners registered via registerTapListener.
bool | dialogClosed ()
| Check to see if the user has closed (and not minimized) the dialog. More...
virtual void | captureFileClosing ()
| Called when the capture file is about to close. This can be used to enable or disable widgets according to the state of file_closed_.
virtual void | captureFileClosed ()
Protected Member Functions inherited from GeometryStateDialog
void | loadGeometry (int width=0, int height=0, const QString &dialog_name=QString())

## Additional Inherited Members
Protected Slots inherited from WiresharkDialog
void | captureEvent (CaptureEvent)
Protected Attributes inherited from WiresharkDialog
CaptureFile & | cap_file_
bool | file_closed_
| true if the file has been closed, false otherwise.

The documentation for this class was generated from the following files:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/rtp_stream_dialog.h
- ui/qt/moc_rtp_stream_dialog.cpp
- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/ui/qt/rtp_stream_dialog.cpp